ClarisDrawText Class Reference

the main class to read the text part of ClarisDraw file More...

`#include <ClarisDrawText.hxx>`

## Public Member Functions

| ClarisDrawText (ClarisDrawParser &parser)
| constructor
virtual | ~ClarisDrawText ()
| destructor
int | version () const
| returns the file version
void | resetState ()
| resets the current state
int | numPages () const
| returns the number of pages
std::shared_ptr< ClarisWksStruct::DSET > | readDSETZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry)
| reads the zone Text DSET

## Protected Member Functions

bool | sendZone (int number, int subZone=-1)
| sends the zone data
void | flushExtra ()
| sends the data which have not yet been sent to the listener
bool | readFont (int id, int &posC, MWAWFont &font)
| try to read a font
bool | readParagraphs ()
| read the rulers block which is present at the beginning of the text
bool | readParagraph (int id=-1)
| the definition of ruler : present at the beginning of the text in the first version of Claris Works : v1-2, present in the STYL entries in v4-v6 files
bool | readParagraphs (MWAWEntry const &entry, ClarisDrawTextInternal::DSET &zone)
| try to read the paragraph
bool | readFonts (MWAWEntry const &entry, ClarisDrawTextInternal::DSET &zone)
| try to read a font sequence
bool | readTokens (MWAWEntry const &entry, ClarisDrawTextInternal::DSET &zone)
| try to the token zone)
bool | readTextZoneSize (MWAWEntry const &entry, ClarisDrawTextInternal::DSET &zone)
| try to read the text zone size
bool | sendText (ClarisDrawTextInternal::DSET const &zone, int subZone)
| send the text zone to the listener

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ClarisDrawTextInternal::State > | m_state
| the state
ClarisDrawParser * | m_mainParser
| the main parser;
std::shared_ptr< ClarisDrawStyleManager > | m_styleManager
| the style manager

## Private Member Functions

| ClarisDrawText (ClarisDrawText const &orig)=delete
ClarisDrawText & | operator= (ClarisDrawText const &orig)=delete

## Friends

class | ClarisDrawParser

## Detailed Description

the main class to read the text part of ClarisDraw file

## Constructor & Destructor Documentation

## ClarisDrawText() [1/2]

ClarisDrawText::ClarisDrawText | ( | ClarisDrawParser & | parser | ) |

explicit

constructor

Referenced by ClarisDrawText(), and operator=().

## ~ClarisDrawText()

ClarisDrawText::~ClarisDrawText | ( |  | ) |

virtual

destructor

## ClarisDrawText() [2/2]

ClarisDrawText::ClarisDrawText | ( | ClarisDrawText const & | orig | ) |

private delete

## Member Function Documentation

## flushExtra()

void ClarisDrawText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

## numPages()

int ClarisDrawText::numPages | ( |  | ) | const

returns the number of pages

## operator=()

ClarisDrawText & ClarisDrawText::operator= | ( | ClarisDrawText const & | orig | ) |

private delete

## readDSETZone()

std::shared_ptr< ClarisWksStruct::DSET > ClarisDrawText::readDSETZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry )

reads the zone Text DSET

## readFont()

bool ClarisDrawText::readFont | ( | int | id,
|  | int & | posC,
|  | MWAWFont & | font )

protected

try to read a font

Referenced by readFonts().

## readFonts()

bool ClarisDrawText::readFonts | ( | MWAWEntry const & | entry,
|  | ClarisDrawTextInternal::DSET & | zone )

protected

try to read a font sequence

Referenced by readDSETZone().

## readParagraph()

bool ClarisDrawText::readParagraph | ( | int | id = -1 | ) |

protected

the definition of ruler : present at the beginning of the text in the first version of Claris Works : v1-2, present in the STYL entries in v4-v6 files

Referenced by readParagraphs().

## readParagraphs() [1/2]

bool ClarisDrawText::readParagraphs | ( |  | ) |

protected

read the rulers block which is present at the beginning of the text

Referenced by readDSETZone().

## readParagraphs() [2/2]

bool ClarisDrawText::readParagraphs | ( | MWAWEntry const & | entry,
|  | ClarisDrawTextInternal::DSET & | zone )

protected

try to read the paragraph

## readTextZoneSize()

bool ClarisDrawText::readTextZoneSize | ( | MWAWEntry const & | entry,
|  | ClarisDrawTextInternal::DSET & | zone )

protected

try to read the text zone size

Referenced by readDSETZone().

## readTokens()

bool ClarisDrawText::readTokens | ( | MWAWEntry const & | entry,
|  | ClarisDrawTextInternal::DSET & | zone )

protected

try to the token zone)

Referenced by readDSETZone().

## resetState()

void ClarisDrawText::resetState | ( |  | ) |

resets the current state

## sendText()

bool ClarisDrawText::sendText | ( | ClarisDrawTextInternal::DSET const & | zone,
|  | int | subZone )

protected

send the text zone to the listener

Referenced by sendZone().

## sendZone()

bool ClarisDrawText::sendZone | ( | int | number,
|  | int | subZone = -1 )

protected

sends the zone data

## version()

int ClarisDrawText::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## ClarisDrawParser

friend class ClarisDrawParser

friend

Referenced by ClarisDrawParser, and ClarisDrawText().

## Member Data Documentation

## m_mainParser

ClarisDrawParser* ClarisDrawText::m_mainParser

protected

the main parser;

Referenced by ClarisDrawText().

## m_parserState

MWAWParserStatePtr ClarisDrawText::m_parserState

protected

the parser state

Referenced by ClarisDrawText(), readDSETZone(), readFont(), readFonts(), readParagraph(), readParagraphs(), readParagraphs(), readTextZoneSize(), readTokens(), sendText(), and version().

## m_state

std::shared_ptr<ClarisDrawTextInternal::State> ClarisDrawText::m_state

protected

the state

Referenced by ClarisDrawText(), readDSETZone(), readParagraph(), resetState(), sendText(), sendZone(), and version().

## m_styleManager

std::shared_ptr<ClarisDrawStyleManager> ClarisDrawText::m_styleManager

protected

the style manager

Referenced by ClarisDrawText(), and readFont().

The documentation for this class was generated from the following files:

- ClarisDrawText.hxx
- ClarisDrawText.cxx